<aside class="absolute bottom-2 right-2">
  <button class="text-white rounded" (click)="onCatchClick()">
    <ng-container
      *ngIf="isCatched; then catched; else notCatched"
    ></ng-container>

    <ng-template #catched>
      <span>
        <img
          src="../../../assets/images/pokeball2.png"
          height="15%"
          width="15%"
          style="margin-left: 76%"
      /></span>
    </ng-template>

    <ng-template #notCatched>
      <span class="bottom-2 right-5">
        <img
          src="../../../assets/images/open-pokeball.png"
          height="20%"
          width="20%"
          style="margin-left: 70%"
        /> </span
    ></ng-template>
  </button>
</aside>
